/*
 * Copyright 2013 ArcBees Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.arcbees.test;

import javax.inject.Singleton;

import org.openqa.selenium.WebDriver;

import com.google.inject.AbstractModule;

import static org.aspectj.lang.Aspects.aspectOf;

public class CucumberModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(org.openqa.selenium.support.pagefactory.ElementLocatorFactory.class)
                .to(ElementLocatorFactory.class)
                .in(Singleton.class);

        bind(WebDriver.class).toProvider(WebDriverProvider.class);
        bind(WebDriverProvider.class).in(Singleton.class);
        requestInjection(aspectOf(CurrentScenarioAspect.class));
    }
}
